import { _decorator ,tween,director,Component,log, Event, UIOpacity,Asset,assetManager,Scene, sys } from 'cc';

const { ccclass, property,inspector ,type} = _decorator;
@ccclass('TempTest1')
export class TempTest1 extends Component {

    @property([Asset])
    AssetList:Array<Asset> = new Array<Asset>();

    public OnClick(e:Event, sceneName:string)
    {
        const pUIOpacity = this.node.getChildByName('Splash').getComponent(UIOpacity);
        if(pUIOpacity)
        {
            tween(pUIOpacity)
            .to(2,{opacity:0})
            .call(function(_name:string){
                // assetManager.releaseAll();
                sys.garbageCollect();
                // forceGC();
                director.loadScene(_name,(error: null | Error, scene?: Scene):void => {
                    // assetManager.releaseAll();
                    sys.garbageCollect();
                    // forceGC();
                });
            }.bind(this,sceneName))
            .start();
        }
    }
}

